import java.util.Vector;

public class PinballThread extends Thread
{
  private Pinball      theBall;
  private PinballFrame theWorld;

  public PinballThread( Pinball aBall, PinballFrame aWorld )
  {
    theBall  = aBall;
    theWorld = aWorld;
  }

  public void run()
  {
    while ( theBall.y() < theWorld.getHeight() )
    {
      theBall.move ();

      Vector<PinballTarget> targets = theWorld.targets();
      for ( int j = 0; j < targets.size(); j++ )
      {
        PinballTarget target = targets.elementAt( j );
        if ( target.intersects( theBall ) )
          target.hitBy( theBall );
      }
      
      theWorld.repaint();

      try {
        sleep( 10 );
      }
      catch ( InterruptedException e ) {
        System.exit( 0 );
      }
    }
  }
}
